Skip to main content
GET
List 2FA verification events

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Path Parameters

session_id
string
required

The unique ID of the 2FA verification session.

Example:

"8753d4308f2e11ecb75fcdafd6d2d690"

Response

Returns the list of 2FA verification events.

created_at
string<date-time>
required

Date and time of the event

Example:

"2022-02-16T13:41:38.000Z"

event
string
required

Human-readable event description. One of the following values:

  • Number lookup — the Wavix platform checked whether the destination phone number is valid. Returned only when number validation is enabled for the 2FA Service.
  • Code sent via SMS — a code was sent via SMS.
  • Code sent via voice — a code was sent via a voice call.
  • Verification — a code verification attempt.
Example:

"Code sent via SMS"

status
string
required

Status of an action associated with the event. Can be either success, failed, or pending.

Example:

"success"

charge
string
required

Cost of an operation associated with the event, in USD

Example:

"0.005"

error
string | null
required

Error description, if any

Example: